## python-aioskybell 23.12.0

=== Makefile ===
.DEFAULT_GOAL := help

help: ## Shows this help message
	@printf "\033[1m%s\033[36m %s\033[32m %s\033[0m \n\n" "Development environment for" "aioskybell" "";
	@awk 'BEGIN {FS = ":.*##";} /^[a-zA-Z_-]+:.*?##/ { printf " \033[36m make %-25s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST);
	@echo

requirements: ## Install requirements
	@python3 -m pip --disable-pip-version-check install -r requirements.txt

lint: ## Lint all files
	@isort .
	@python3 -m black --fast .
	@python3 -m pylint aioskybell tests
	@python3 -m flake8 aioskybell tests
	@python3 -m mypy aioskybell

coverage: ## Check the coverage of the package
	@python3 -m pytest tests --asyncio-mode=strict --cov=aioskybell --cov-report term-missing -vv

setup: ## Setup the package
	@python3 setup.py develop

=== requirements.txt ===
aiofiles>=0.3.0
aiohttp>=3.6.1,<4.0
aresponses>=2.1.4
black>=21.11b1
ciso8601>=1.0.1
isort>=5.10.1
flake8>=4.0.1
flake8-docstrings>=1.6.0
freezegun==1.3.1
mypy>=0.910
pylint>=2.12.1
pytest-cov>=3.0.0
pytest-asyncio>=0.16.0
pytest-freezer>=0.4.8
pytest>=6.2.4
types-aiofiles>=0.8.3

=== debian/changelog ===
python-aioskybell (23.12.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:20:12 +0200

python-aioskybell (23.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079072)

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Aug 2024 21:30:14 +0200

=== debian/control ===
Source: python-aioskybell
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiofiles,
 python3-aiohttp,
 python3-aresponses,
 python3-ciso8601,
 python3-freezegun,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioskybell
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioskybell.git
Homepage: https://github.com/tkdrob/aioskybell

Package: python3-aioskybell
Architecture: all
Depends:
 python3-aiofiles,
 python3-aiohttp,
 python3-ciso8601,
 ${misc:Depends},
 ${python3:Depends},
Description: Skybell HD doorbell/shime asyncio API client
 This package provides support for Skybell doorbells client API.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/tkdrob/aioskybell.git
include /usr/share/openstack-pkg-tools/pkgos.make

# Thse 2 unit tests need python3-pytest-freezer, currently not in Debian.
export PYBUILD_TEST_ARGS= -v tests -k 'not test_get_devices and not test_async_refresh_device'

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/tkdrob/aioskybell refs/tags/(\d[brc\d\.]+)
